summaryrefslogtreecommitdiff
path: root/dev-python/trustme
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-02 06:50:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-01-02 06:50:44 +0000
commit5c20c17b9682c296c68194034329969a13b7e19b (patch)
treee408eb5b0c294e2efd1df5e86a65b0896526d712 /dev-python/trustme
parent5fac1627fb10f1ca105c351e54c681998ff5e634 (diff)
downloadbaldeagleos-repo-5c20c17b9682c296c68194034329969a13b7e19b.tar.gz
baldeagleos-repo-5c20c17b9682c296c68194034329969a13b7e19b.tar.xz
baldeagleos-repo-5c20c17b9682c296c68194034329969a13b7e19b.zip
Adding metadata
Diffstat (limited to 'dev-python/trustme')
-rw-r--r--dev-python/trustme/Manifest1
-rw-r--r--dev-python/trustme/trustme-1.2.1.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/trustme/Manifest b/dev-python/trustme/Manifest
index 0a4ccbf3ad6c..0c834fad7db6 100644
--- a/dev-python/trustme/Manifest
+++ b/dev-python/trustme/Manifest
@@ -1 +1,2 @@
DIST trustme-1.2.0.tar.gz 26350 BLAKE2B 885b96d8ef63a8bf0b96583ecac2c19148f7df28a9e2ad8816fe0d0f752718bb91d84f3d01a7e73663133a3094eb8199ad6eea609e27958db4720a14ff62b1be SHA512 84cfa02cf00bac1a304dacbae8b3d673307d066116e38c396f25fb868174f020c415921d4c56a6a37354e5205f294cf95611a8c4f2b02f82dda2aa9b2e80192b
+DIST trustme-1.2.1.tar.gz 26844 BLAKE2B 83512726438b191e131d3aec847fa80a799463447f1be3586a32bae604d0fc26c8d3d68366c80df4a77661e9ce073c857c1df5bce4fd6ecdb46f22bd63ec410e SHA512 3dc5158294d79603378a281e706ea6b376833a40621c211f12c383bc1ef0720b2b6c1441eadab43292cbeee34aaa4618ed8ce4b8dedc4ca6f1faa14e4cb485bc
diff --git a/dev-python/trustme/trustme-1.2.1.ebuild b/dev-python/trustme/trustme-1.2.1.ebuild
new file mode 100644
index 000000000000..dce1d2df2b4e
--- /dev/null
+++ b/dev-python/trustme/trustme-1.2.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="#1 quality TLS certs while you wait, for the discerning tester"
+HOMEPAGE="
+ https://github.com/python-trio/trustme/
+ https://pypi.org/project/trustme/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ >=dev-python/cryptography-3.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/service-identity[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}